恐懼與貪婪指數

GET /fear-greed-index
GetFearGreedIndex

針對單一資產的每日 0–100 恐懼與貪婪指標,綜合價格、波動度、動能、交易量與社群情緒:最高 20 為 Extreme Fear、40 為 Fear、60 為 Neutral、80 為 Greed,高於 80 為 Extreme Greed。metadata 會列出各組成要素。

可使用錢包於 https://nebula-api.hiddensystems.ai/api/v1/x402/fear-greed-index 付款。不需要 Nebula 帳號或 API 金鑰;簽署前請先確認付款條件。x402 付款指南。

參數

asset_id string QUERY 必填

來自 /assets 或 /search 的資產 ID,例如 NVDA、GLD、SPX 或 bitcoin。請與一併回傳的 asset_class 一起送出。

Example:NVDA

asset_class string QUERY 必填

asset_id 所指資產的類別:equity(股票與 ETF)、commodity、index 或 crypto。請送出 /assets 或 /search 隨 asset_id 一併回傳的 asset_class。

允許的值
equitycommodityindexcrypto

Example:equity

hours integer QUERY

回溯期間,以小時為單位。免費方案可回溯 90 天;更早的期間會回傳 403。

Default:720

granularity string QUERY

要求的時間序列分桶大小。省略時,服務會依回看區間選擇合適的分桶大小。

允許的值
1h2h4h12h1d

Example:1h

cURL 範例

curl --get \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/fear-greed-index' \
  --data-urlencode 'asset_id=NVDA' \
  --data-urlencode 'asset_class=equity' \
  --header 'X-API-Key: YOUR_API_KEY'

回應

200 OK
400 錯誤的要求
401 未經授權
402 額度已用完;回應會包含續約時間與已購買的額度餘額
403 禁止
404 找不到
405 不允許的方法;Allow 標頭會列出支援的方法
429 要求過多
500 內部伺服器錯誤
503 服務無法使用

媒體類型 application/json

current
object 必填

每個回傳序列的最新值,或目前的指數讀數。

current.index
number (double) 必填

Nebula 指數值,範圍為 0–100。

current.label
string 必填

易讀的分桶或指數標籤。

metadata
object 選填

解讀回應所需的方法論與請求區間中繼資料。

metadata.components
array<object> 必填

用於計算指數的加權組成項目。

metadata.components[].description
string 必填

此組成項目的易讀說明。

metadata.components[].name
string 必填

人類可讀的名稱。

metadata.components[].weight
number (double) 必填

組成項目權重,以小數表示。

metadata.hours
integer 必填

此回應所代表的回看區間,以小時為單位。

metadata.labels
array<string> 必填

用於解讀指數範圍的有序標籤。

metadata.scale
string 必填

此指標已發布的量尺或解讀方式。

series
array<object> 必填

依時間順序排列的觀測值。

series[].index
number (double) 必填

Nebula 指數值,範圍為 0–100。

series[].label
string 必填

易讀的分桶或指數標籤。

series[].timestamp
string (date-time) 必填

觀測值或分桶開始時間的 UTC RFC 3339 時間戳記。

{
  "current": {
    "index": 67.4,
    "label": "Greed"
  },
  "series": [
    {
      "index": 67.4,
      "label": "Greed",
      "timestamp": "2026-08-07T15:00:00Z"
    }
  ]
}